#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"


#declare Fell = pigment { image_map { gif "fell.gif" map_type 1} scale 3 }
#declare Fell2 = pigment { image_map { gif "fell2.gif" map_type 1} scale 3 }
#declare Sicht =< -20, 8, 5 >

// CAMERA POSITION
camera {
 right      < 1, 0, 0 >
 up         < 0, -0.789, 0 >
 direction  < 0, 0, 1.2> //Zoom
 location   Sicht
 look_at    < 0, 0.5, 0.5 >
}

// LIGHT _light0
light_source { Sicht
color White*1
fade_distance 100
fade_power 1
}



// Schwanz L
blob
{
  threshold 0.2
  cylinder { < -0.5, 0, 0>, < 1.5, 0, 0>, 0.4, 1
   scale < 1, 1, 1>
   rotate < 0, -20, -20>}
  cylinder { < -0.5, 0, 0>, < 1.5, 0, 0>, 0.4, 1
   scale < 1, 1, 1>
   rotate < 0, -10, 0>
   translate < 2, -0.5, 0.5>}
  cylinder { < -0.5, 0, 0>, < 0.5, 0, 0>, 0.4, 1
   scale < 1, 1, 1>
   rotate < 0, 15, 0>
   translate < 4.2, -0.5, 0.6>}
  cylinder { < -0.5, 0, 0>, < 0.5, 0, 0>, 0.4, 1
   scale < 1, 1, 1>
   rotate < 0, 45, 0>
   translate < 5.3, -0.5, 0>}
  cylinder { < -0.5, 0, 0>, < 0.5, 0, 0>, 0.4, 1
   scale < 1, 1, 1>
   rotate < 0, 90, 0>
   translate < 5.8, -0.5, -1.1>}
  cylinder { < -0.5, 0, 0>, < 0.5, 0, 0>, 0.4, 1
   scale < 1, 1, 1>
   rotate < 0, 145, 0>
   translate < 5.2, -0.5, -2.5>}
  cylinder { < -0.5, 0, 0>, < 0.5, 0, 0>, 0.4, 1
   scale < 1, 1, 1>
   rotate < 0, 190, 0>
   translate < 3.8, -0.5, -2.8>}
  sphere { < -0.5, 0, 0>, 1, 1
   translate < 3, -0.5, -2.8>}

 //cylinder { < 0, -0.5, 0>, < 0, 0.5, >, 0.8, 1
 // scale < 0.8, 0.8, 1.4>
 // rotate < 0, 0, -10>
 // translate < 0.55, 0.6, 0>}
  texture { Fell }
  rotate < 0, 0, 0>
 translate < 2.5, -3.8, 0>
}


// Fuss L
blob
{
  threshold 0.2
  cylinder { < 0, -0.5, 0>, < 0, 0.5, >, 1.5, 1
  scale < 1.7, 0.3, 1>
  rotate < 0, 0, 0>
  translate< -0.5, 0, 0>}
 cylinder { < 0, -0.5, 0>, < 0, 0.5, >, 0.8, 1
  scale < 0.8, 0.8, 1.4>
  rotate < 0, 0, -10>
  translate < 0.55, 0.6, 0>}
  texture { Fell }
  rotate < -10, 0, -70>
 translate < -2.5, -3.2, 1.4>
}
// Fuss R
blob
{
  threshold 0.2
  cylinder { < 0, -0.5, 0>, < 0, 0.5, >, 1.5, 1
  scale < 1.7, 0.3, 1>
  rotate < 0, 0, 0>
  translate< -0.5, 0, 0>}
 cylinder { < 0, -0.5, 0>, < 0, 0.5, >, 0.8, 1
  scale < 0.8, 0.8, 1.4>
  rotate < 0, 0, -10>
  translate < 0.55, 0.6, 0>}
  texture { Fell }
  rotate < 10, 0, -70>
  translate < -2.5, -3.2, -1.4>
  scale 1
}

// Schal
torus
{ 1.8, 0.2
  texture { pigment { Blue } }
  scale < 1, 3, 1>
  translate < 0.2, 0.75, 0>
}

// Ohr L
blob
{
  threshold 0.1
  cylinder { < 0, 0, 0>, < 0.2, 0, 0>, 1, 1
  scale < 0.6, 1.5, 2>
  rotate < -50, 30, 0>}
  texture { Fell }
  translate < 0.6, 4.5, 1.7>
}
// Ohr R
blob
{
  threshold 0.1
  cylinder { < 0, 0, 0>, < 0.2, 0, 0>, 1, 1
  scale < 0.6, 1.5, 2>
  rotate < 50, -30, 0>}
  texture { Fell }
  translate < 0.6, 4.5, -1.7>
}

// Hand L
blob
{
  threshold 0.1
  cylinder { < 0, -0.50, 0>, < 0, 0.5, 0>, 1, 1 }
  scale < 0.3, 0.7, 2.5>
  translate < 0, 0, 0.7>
  rotate < -10+(15*sin(2*pi*clock)), -25-(20*sin(2*pi*clock)), 0>
//
  texture { Fell }
  translate < 0.5, -0.5, 1.8>
}

// Hand R
blob
{
  threshold 0.1
  cylinder { < 0, -0.50, 0>, < 0, 0.5, 0>, 1, 1
  scale < 0.3, 0.7, 2.5>
  rotate < 10, 15, 0>}
  texture { Fell }
  translate < 0.5, -0.5, -2.5>
}
union {
// Schaedel
difference {
 lathe {  quadratic_spline
  10,
  < 0, 0>, <0.6, 0.1>, <1.24, 0.6>, <1.55, 1>,  <2.2, 2.5>, <2.4, 4>, <2.25, 5>, <1.7, 5.8>, <1.1, 6.2>, <0, 6.4>
  rotate < 0, 0, -90>
  translate < -3.8, 3, 0>
  }
 // - Augenhoehlen
 union {
  cone { < -1.5, 4.65, 0.5>, 0, < -3.5, 8, 1.2>, 6   }
  cone { < -1.5, 4.65, -0.5>, 0, < -3.5, 8, -1.2>, 6   }
blob
{
  threshold 0.3
  cylinder { < 0, -1, 0>, < 0, 1, 0>, 5, 1
   scale < 0.3, 0.1, 1>
   rotate < 0, 0, -5>
   translate < -0.7, -0.1, 0>}
  cylinder { < 0, 0, -2>, < 0, 0, 2>, 0.5, 1
   scale < 1, 1, 1>
   rotate < 0, 0, 0>}
  cylinder { < 0, -1, 0>, < 0, 1, 0>, 5, 1
   scale < 0.3, 0.1, 1>
   rotate < 0, 0, -120>
   translate < 0.8, 0.5, 0>}
  translate < -4.4, 12.2, 0>
  scale < 0.4, 0.4, 0.5> }
  }
  texture { Fell2 }
}

// Auge L
sphere
{
  <-1.5, 4.75, 0.5> 0.3
   pigment { Black }
   finish { specular 0.7 roughness 0.02}
}
// Auge R
sphere
{
  <-1.5, 4.75, -0.5> 0.3
   pigment { Black }
   finish { specular 0.7 roughness 0.02}
}
// Nase
sphere
{
  <-3.5, 3.05, 0> 0.55
   pigment { Black }
  }

// Koerper
lathe {  quadratic_spline 7,
  < 1.6, 0>, < 1.65, 0.1>, < 2.3, 1.35>, < 2.75, 2.8>, < 2.5, 4.2>, < 1.7, 5.1>, < 0.2, 5.6>
  texture { Fell2 } 
  rotate < 0, 0, 180>
  translate < 0, 0.71, 0>
 }

// Muetze
lathe {  linear_spline 8,
 < 0, -0.1>, < 0.2, -0.1>, < 0.3, 0.4>, < 0.9, 0.5>, < 0.9, 0.4>,< 1, 0.4>, < 1, 0.9>,< 0.4, 0.9>
//  < 0.0, 0>, < 0.1, 0.15>, < 0.4, 0.65>, < 0.9, 1.2>, < 0.7, 1.8> quadratic
 texture { pigment { Red } }
  rotate < 0, 0, 165>
  scale 1.2
  translate < 1, 6, 0>
}
//rotate <0,35*sin(2*pi*clock) ,0>
}

// Hintergrund
background {color White}
//box { < -25, -25, -25>, < 25, 25, 25>
//pigment { White }}
